Bug 32899 - Touchevent coordinates are incorrect after page zoom and page scroll
Summary: Touchevent coordinates are incorrect after page zoom and page scroll
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 32898
Blocks: 32485
  Show dependency treegraph
 
Reported: 2009-12-23 04:53 PST by Kim Grönholm
Modified: 2018-01-22 14:34 PST (History)
6 users (show)

See Also:


Attachments
Adds a layout test for touch coordinates after page scroll and zoom and fixes the issue. (9.59 KB, patch)
2009-12-23 05:07 PST, Kim Grönholm
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kim Grönholm 2009-12-23 04:53:48 PST
TouchEvent clientX/Y and pageX/Y coordinates get incorrect (differ from mouse) after page is both zoomed and scrolled.
Comment 1 Kim Grönholm 2009-12-23 05:07:42 PST
Created attachment 45432 [details]
Adds a layout test for touch coordinates after page scroll and zoom and fixes the issue.
Comment 2 WebKit Review Bot 2009-12-23 05:11:12 PST
style-queue ran check-webkit-style on attachment 45432 [details] without any errors.
Comment 3 Antti Koivisto 2010-01-11 01:24:55 PST
Looks good, r=me
Comment 4 WebKit Commit Bot 2010-01-11 01:45:05 PST
Comment on attachment 45432 [details]
Adds a layout test for touch coordinates after page scroll and zoom and fixes the issue.

Clearing flags on attachment: 45432

Committed r53069: <http://trac.webkit.org/changeset/53069>
Comment 5 WebKit Commit Bot 2010-01-11 01:45:12 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 alexreardon 2018-01-22 14:34:48 PST
I can confirm that this is still occurring on Safari + iOS 11